Subject: Re: CONFIG_FEC is not good for mpc8xx ethernet?

From: "tiejun.chen" <[email-masked]>
Date: Mon, 18 Oct 2010 16:40:42 +0800

Shawn Jin wrote:
> Hi,
> 
> My target is a mpc875 based board and has FEC ethernet. The phy is
> AM79C874. I have the following configuration for the network support.
> 
> CONFIG_PHYLIB=y
> CONFIG_NET_ETHERNET=y
> CONFIG_MII=y
> CONFIG_FS_ENET=y
> CONFIG_FS_ENET_HAS_FEC=y
> CONFIG_FS_ENET_MDIO_FEC=y
> 
> However I found that the phy support (AM79C874) is actually in
> drivers/net/fec.c which is compiled only when CONFIG_FEC=y. However

The phy driver should not be embedded into the NIC driver in theory.

I think you should include the phy driver, mdio-bitbang.c, which should be
support AMD79C874. But I'm not sure if it can work well based on your target and
maybe you have to fix/improve something.

Tiejun

> CONFIG_FEC is not on for mpc8xx targets, seen the dependency below.
> 
> config FEC
>         bool "FEC ethernet controller (of ColdFire and some i.MX CPUs)"
>         depends on M523x || M527x || M5272 || M528x || M520x || M532x
> || MACH_MX27 || ARCH_MX35 || ARCH_MX25
>         help
>           Say Y here if you want to use the built-in 10/100 Fast ethernet
>           controller on some Motorola ColdFire and Freescale i.MX processors.
> 
> Does it mean that the phy driver for AM79C874 doesn't exist for MPC8xx
> and I'll have to write one for myself?
> 
> Thanks,
> -Shawn.
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>